Subject: Re: [Bonding-devel] quick help with bonding?

From: "Chris Friesen" <[email-masked]>
Date: Thu, 29 Mar 2007 17:42:54 -0600

Jay Vosburgh wrote:

> 	2.6.10 is pretty old, and there have been a number of fixes to
> the bonding ARP monitor since then, so it may be that it is simply
> misbehaving (presuming that you're running the 2.6.10 bonding driver).
> Are you in a position to test against a more recent kernel (and/or
> bonding driver)?  Does the miimon misbehave in a similar fashion?

Testing a more recent kernel is problematic.  A new bonding driver could 
be possible, assuming the code hasn't changed too much.

I just did another experiment.  Normally we boot via eth4 (which then 
becomes part of the bond  with eth5 at init time).  If I boot via eth6 
instead, it appears as though the problem doesn't show up.

Chris